Patch Jira Configuration
https://app.fossa.com/api/jira/{id}Update config settings for a Jira site. Requires premium subscription.
Path parameters
idintegerrequiredRequest body · application/json
idintegerorganizationIdintegerwebhookURLstringUsed by the Jira to FOSSA Webhook
createdAtstringTimestamp when Jira was created
enabledbooleanOn/Off state of the Jira site enabled in FOSSA
namestringDisplay name of your Jira site inside of FOSSA
base_urlstring | nullUrl of your Jira Site
resolved_statusesstring[]resolvedStatusesEnabledbooleanWhen true, incoming webhooks will ignore/unignore issues linked to the specific tickets in question if the status matches one of the statuses listed in resolved_statuses.
credentialsobjectbasicobjectusernamestringJira username to authenticate to the site
passwordstringJira password to authenticate to the site (obfuscated when retrieved)
headersobject | nullHTTP headers to pass along when authenticating to the Jira site
issueTypesarray | nullAvailable issue types to use when exporting tickets
labelsarray | nullAvailable labels to include when exporting tickets. Corresponds to a label in Jira
componentsarray | nullAvailable Jira components to include when exporting tickets. Components can be made required in Jira and are passed by ID when creating issues.
jiraProjectIdsarray | nullAvailable Jira Projects to export to from FOSSA
customFieldsobject | nulla dictionary of custom fields
defaultLicensingProjectstring | nullThe Jira Project to default to when exporting licensing issues
defaultSecurityProjectstring | nullThe Jira Project to default to when exporting security issues
defaultQualityProjectstring | nullThe Jira Project to default to when exporting quality issues
defaultUniqueTicketsbooleantoggle to determine if each individual issue is 1:1 with a ticket upon creation
Responses
204The resource was updated successfully400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenmessagestringMessage describing the error
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PATCH https://app.fossa.com/api/jira/1curl --request PATCH \ --url 'https://app.fossa.com/api/jira/1' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "base_url": "https://my-jira-site.com"}'Real request. Mutating methods can change data.
Path params
idintegerrequired